---
lang: en
title: 'API docs: metrics.metricsoptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/metrics
permalink: /doc/en/lb4/apidocs.metrics.metricsoptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/metrics](./metrics.md) &gt; [MetricsOptions](./metrics.metricsoptions.md)

## MetricsOptions interface

Options for metrics component

**Signature:**

```typescript
export interface MetricsOptions 
```

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [defaultLabels?](./metrics.metricsoptions.defaultlabels.md) |  | { \[labelName: string\]: string; } | _(Optional)_ |
|  [defaultMetrics?](./metrics.metricsoptions.defaultmetrics.md) |  | { disabled?: boolean; } &amp; DefaultMetricsCollectorConfiguration | _(Optional)_ |
|  [endpoint?](./metrics.metricsoptions.endpoint.md) |  | { disabled?: boolean; basePath?: string; } | _(Optional)_ |
|  [openApiSpec?](./metrics.metricsoptions.openapispec.md) |  | boolean | _(Optional)_ |
|  [pushGateway?](./metrics.metricsoptions.pushgateway.md) |  | { disabled?: boolean; url: string; interval?: number; jobName?: string; groupingKey?: { \[key: string\]: string; }; replaceAll?: boolean; } | _(Optional)_ |


